ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

CmmProcPoint

# Documentation

type ProcPointSet = BlockSet

data Status

Constructors

ReachedBy ProcPointSet |
ProcPoint |

Instances

Outputable Status |

callProcPoints :: CmmGraph -> ProcPointSet

minimalProcPointSet :: Platform -> ProcPointSet -> CmmGraph -> UniqSM ProcPointSet

splitAtProcPoints :: DynFlags -> CLabel -> ProcPointSet -> ProcPointSet -> BlockEnv Status -> CmmDecl -> UniqSM [CmmDecl]

procPointAnalysis :: ProcPointSet -> CmmGraph -> UniqSM (BlockEnv Status)

attachContInfoTables :: ProcPointSet -> CmmDecl -> CmmDecl